﻿// PDF Assistent_Einstellungen löschen.cs
//
// Löscht die vom PDF-Export Assistenten Script angelegten Benutzereinstellung aus EPLAN raus.
//
// Copyright by Frank Schöneck, 2014-2020
// letzte Änderung:
// V1.0.0, 27.01.2014, Frank Schöneck, Projektbeginn
//
// für Eplan Electric P8, ab V2.2
//

public class Projectgroup_Auto_Assignment
{
	[Start]
	public void SettingDelete()
	{
		DialogResult Result = MessageBox.Show("Sollen die Einstellungen wirklich aus EPLAN gelöscht werden?", "PDF Assistent_Einstellungen löschen", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
		if (Result == System.Windows.Forms.DialogResult.Yes)
		{
			//Settings löschen
			Eplan.EplApi.Base.SettingNode oSettingNode = new Eplan.EplApi.Base.SettingNode("USER.SCRIPTS.PDF_Assistent");

			MessageBox.Show("Es wurden " + oSettingNode.GetCountOfSettings().ToString() + " Einstellungen gelöscht.", "PDF Assistent_Einstellungen löschen", MessageBoxButtons.OK, MessageBoxIcon.Information);
			oSettingNode.DeleteNode();
		}
	}
}
